/*(c)Copyright 1995,2001 by Paul Shields, all rights reserved.
  Please read the file LICENSE distributed with this source code.*/

/* Take the common letters and fold into 27 bins, named
   thus: 
       . a b c d e f g h 
       i j k l m n o p q
       r s t u v w x y z 
   (this is a modulo-27 function of the common letters).
 */
#include <ctype.h>
#include <stdio.h>
#include <string.h>

char *scan=":abcdefghijklmnopqrstuvwxyz";

#include "match.h"

char sdecode(char *w1, char *w2 )
{
  int m,s;
  char *p = match( w1, w2 );

  for(m=0,s=0; p[m]; m++)
    if(isalpha(p[m]))
      s += tolower(p[m])-0x60;

  return scan[s % 27];
}

